<?php

/**
 * ContactForm 类.
 * ContactForm 是会一直使用的数据结构
 * contact表单. 它被用作'SiteController'控制器的'contact'动作。
 */
class ImportForm extends CFormModel
{
	public $csvfile;
	/**
	 * 声明验证规则.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			//array('csvfile', 'required'),
			//array('photo','file','types'=>'jpg,gif,png','maxSize'=>'524288','allowEmpty'=>true),
			array('csvfile','file','types'=>'csv','maxSize'=>'1048576','allowEmpty'=>false),//原版
		);
	}

	/**
	 * 声明自定义的属性标签
	 * 如果这里没有定义, 一个属性标签将和它的名字一样，只是第一个字母大写。
	 */
	public function attributeLabels()
	{
		return array(
			'id' => 'ID',
			'csvfile' => 'csv文件',
		);
	}
}